## location-service 0.0.1+13.10.20130819

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,8 @@
 find_package(PkgConfig)
 find_package(Boost 1.49 COMPONENTS system program_options)
 find_package(GLog)
-pkg_check_modules(DBUS dbus-1)
-pkg_check_modules(DBUS_CPP dbus-cpp)
+pkg_check_modules(DBUS dbus-1 REQUIRED)
+pkg_check_modules(DBUS_CPP dbus-cpp REQUIRED)
 
 #####################################################################
 # Enable code coverage calculation with gcov/gcovr/lcov
