=== include/CMakeLists.txt ===
install(
	DIRECTORY location_service/com
	DESTINATION include/ubuntu-location-service-${UBUNTU_LOCATION_SERVICE_VERSION_MAJOR}
)
