=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-add_subdirectory(/usr/src/gtest gtest)
-
 find_package(Threads)
 
 option(
@@ -12,6 +10,17 @@
     find_program(DBUS_TEST_RUNNER_EXECUTABLE dbus-test-runner)
     message(STATUS "Executing test suite under dbus-test-runner")
 endif (LOCATION_SERVICE_ENABLE_DBUS_TEST_RUNNER)
+
+# Build with system gmock and embedded gtest
+set (GMOCK_INCLUDE_DIR "/usr/include/gmock/include" CACHE PATH "gmock source include directory")
+set (GMOCK_SOURCE_DIR "/usr/src/gmock" CACHE PATH "gmock source directory")
+set (GTEST_INCLUDE_DIR "${GMOCK_SOURCE_DIR}/gtest/include" CACHE PATH "gtest source include directory")
+
+add_subdirectory(${GMOCK_SOURCE_DIR} "${CMAKE_CURRENT_BINARY_DIR}/gmock")
+include_directories (
+  ${GMOCK_INCLUDE_DIR}
+  ${GTEST_INCLUDE_DIR}
+)
 
 add_executable(
     acceptance_tests
