## location-service 0.0.2+14.04.20140307

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(UBUNTU_LOCATION_SERVICE_VERSION_MAJOR 0)
 set(UBUNTU_LOCATION_SERVICE_VERSION_MINOR 0)
-set(UBUNTU_LOCATION_SERVICE_VERSION_PATCH 1)
+set(UBUNTU_LOCATION_SERVICE_VERSION_PATCH 2)
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic -Wextra -fPIC -pthread")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -fno-strict-aliasing -pedantic -Wextra -fPIC -pthread")
@@ -22,6 +22,7 @@
 find_package(PkgConfig)
 find_package(Boost 1.49 COMPONENTS system program_options)
 find_package(GLog)
+find_package(GFlags)
 pkg_check_modules(DBUS dbus-1 REQUIRED)
 pkg_check_modules(DBUS_CPP dbus-cpp REQUIRED)
 
@@ -50,7 +51,7 @@
   ${DBUS_INCLUDE_DIRS}
   ${DBUS_CPP_INCLUDE_DIRS}/dbus
   ${GLog_INCLUDE_DIR}
-  
+  ${GFlags_INCLUDE_DIR}
   include/location_service
 )
