=== data/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,10 @@
   ubuntu-location-service.pc.in ubuntu-location-service.pc @ONLY
 )
 
+configure_file(
+  ubuntu-location-service.conf.in ubuntu-location-service.conf @ONLY
+)
+
 install(
   FILES ${CMAKE_CURRENT_BINARY_DIR}/ubuntu-location-service.pc
   DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig
@@ -27,3 +31,8 @@
   FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.ubuntu.location.Service.conf
   DESTINATION /etc/dbus-1/system.d/
 )
+
+install(
+  FILES ${CMAKE_CURRENT_BINARY_DIR}/ubuntu-location-service.conf
+  DESTINATION /etc/init/
+)
