=== examples/CMakeLists.txt ===
add_subdirectory(service)
