=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,8 @@
 
 add_subdirectory(${GMOCK_SOURCE_DIR} "${CMAKE_CURRENT_BINARY_DIR}/gmock")
 include_directories (
+  ${CMAKE_SOURCE_DIR}/src/location_service
+
   ${GMOCK_INCLUDE_DIR}
   ${GTEST_INCLUDE_DIR}
 )
@@ -47,6 +49,12 @@
 )
 
 add_executable(
+    dummy_provider_tests
+    dummy_provider_tests.cpp
+    test_main.cpp
+)
+
+add_executable(
     engine_test
     engine_test.cpp
     test_main.cpp
@@ -103,6 +111,18 @@
     ${Boost_LIBRARIES}
     ${DBUS_LIBRARIES}
     
+    gtest
+)
+
+target_link_libraries(
+    dummy_provider_tests
+
+    ubuntu-location-service
+
+    ${CMAKE_THREAD_LIBS_INIT}
+    ${Boost_LIBRARIES}
+    ${DBUS_LIBRARIES}
+
     gtest
 )
 
@@ -295,3 +315,4 @@
 add_test(heading_test heading_test)
 add_test(velocity_test velocity_test)
 add_test(wgs84_test wgs84_test)
+add_test(dummy_provider_tests dummy_provider_tests)
