=== examples/service/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
     ${CMAKE_THREAD_LIBS_INIT}
     ${Boost_LIBRARIES}
     ${DBUS_LIBRARIES}
+    ${DBUS_CPP_LDFLAGS}
 )
 
 target_link_libraries(
@@ -43,6 +44,7 @@
     ${CMAKE_THREAD_LIBS_INIT}
     ${Boost_LIBRARIES}
     ${DBUS_LIBRARIES}
+    ${DBUS_CPP_LDFLAGS}
 )
 
 add_custom_command(
