=== src/location_service/com/ubuntu/location/CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,7 @@
 
   ${Boost_LIBRARIES}
   ${DBUS_LIBRARIES}
+  ${DBUS_CPP_LDFLAGS}
   ${GLog_LIBRARY}
   ${GFlags_LIBRARY}
 )
