## location-service 2.1+14.10.20141014

=== debian/changelog ===
location-service (2.1+14.10.20141014-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Switch to a NonSelectingProviderSelectionPolicy by default.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 14 Oct 2014 12:44:53 +0000

location-service (2.1+14.10.20141013-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Allow for creation of initially invalid radio cells. (LP: #1380668)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 13 Oct 2014 15:28:59 +0000

location-service (2.1+14.10.20141010-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Prefer /system/etc/gps.conf over /etc/gps.conf.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 10 Oct 2014 07:18:05 +0000

location-service (2.1+14.10.20141009.1-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Make sure that modems are cached, no matter if they come with a
    valid NetworkRegistration.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Oct 2014 15:18:56 +0000

location-service (2.1+14.10.20141008-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Make the service translateable. (LP: #1354092)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 08 Oct 2014 09:20:31 +0000

location-service (2.1+14.10.20141006-0ubuntu1) utopic; urgency=low

  [ Alberto Aguirre ]
  * Ensure Engine::for_each_provider fulfills the noexcept promise

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 Oct 2014 16:39:42 +0000

location-service (2.1+14.10.20140925.2-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Implement heuristic to invalidate 3G cells after 60 seconds. (LP:
    #1371514)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 25 Sep 2014 20:27:06 +0000

location-service (2.1+14.10.20140917.1-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Expose remote::Interface and respective stub/skeleton for using and
    exposing remote location providers.
  * Add a standalone daemon for executing providers out of process.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Sep 2014 13:27:53 +0000

location-service (2.1+14.10.20140915-0ubuntu1) utopic; urgency=low

  [ Loïc Minier ]
  * Update upstart job start conditions; workaround startup issue with a
    sleep. (LP: #1356468)

  [ thomas-voss ]
  * Somewhat clean up remote provider and add an acceptance-style test.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Sep 2014 20:02:59 +0000

location-service (2.1+14.10.20140829-0ubuntu1) utopic; urgency=medium

  [ Manuel de la Pena ]
  * Add a new provider for the remote project.

  [ Manuel de la Peña ]
  * Improve the accuracy reported by the remote provider.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 29 Aug 2014 11:01:26 +0000

location-service (2.0.1+14.10.20140825-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Add request for wireless scans to load test threads. Make sure that
    cached devices are considered instead of recreating device
    instances. Make sure that scan done signals are relayed correctly.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Aug 2014 09:14:46 +0000

location-service (2.0.1+14.10.20140818-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Add a demultiplexing reporter implementation. Adjust daemon config
    to instantiate a demultiplexing reporter instance, together with two
    ichnaea reporters feeding to Mozilla's and Ubuntu's location service
    instances.
  * Make sure the per-user trust-store instances are restarted on
    location service restarts.
  * Clean up CachedRadioCell and CachedWirelessNetwork. Switch to
    logging to syslog. (LP: #1356814)
  * Map edge -> gsm. Map hspa -> umts. (LP: #1357042)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 18 Aug 2014 08:11:55 +0000

location-service (2.0.1+14.10.20140811-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Make sure that state property changes are correctly reported to the
    bus. (LP: #1348334)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 11 Aug 2014 10:21:20 +0000

location-service (2.0.1+14.10.20140808.1-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Ensure that connections to events are properly cut on destruction.
  * Adjust naming of properties as exposed by NetworkManager.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 08 Aug 2014 19:25:54 +0000

location-service (2.0.1+14.10.20140808-0ubuntu1) utopic; urgency=low

  [ Nick Dedekind ]
  * Revert hotfix for bug#1352977 (LP: #1352977)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 08 Aug 2014 09:12:14 +0000

location-service (2.0.1+14.10.20140807.1-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Add camera app and osm touch to the whitelist for permission mgmt.

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 07 Aug 2014 20:45:31 +0000

location-service (2.0.1+14.10.20140806-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Make the location service a trusted helper.

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Aug 2014 14:26:22 +0000

location-service (2.0.1+14.10.20140731-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Expose connectivity state and primary connection characteristics.
    (LP: #1337102)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 31 Jul 2014 13:25:55 +0000

location-service (2.0.1+14.10.20140730.1-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Make sure that logging directories are created on service startup.
    (LP: #1349704)
  * Fix build warnings.
  * Add a vanilla gps.conf file and install it to /etc/gps.conf. Make
    sure that expections thrown while trying to download GPS Xtra data
    do not abort the service. (LP: #1347887)


