=== src/location_service/com/ubuntu/location/providers/gps/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,19 @@
   if (UBUNTU_HARDWARE_GPS_H)
     message(STATUS "Enabling GPS location provider")
 
-    add_library(gps provider.cpp)
+    add_library(
+        gps
+
+        gps.conf
+
+        android_hardware_abstraction_layer.h
+        android_hardware_abstraction_layer.cpp
+
+        hardware_abstraction_layer.h
+        # hardware_abstraction_layer.cpp
+
+        provider.h
+        provider.cpp)
 
     target_link_libraries(gps ubuntu_platform_hardware_api.so)
   
@@ -27,5 +39,7 @@
       -DCOM_UBUNTU_LOCATION_SERVICE_PROVIDERS_GPS ${ENABLED_PROVIDER_TARGETS_DEFINITIONS}
       PARENT_SCOPE
     )
+
+    install(FILES gps.conf DESTINATION /etc/)
   endif (UBUNTU_HARDWARE_GPS_H)
 endif (LOCATION_SERVICE_ENABLE_GPS_PROVIDER)
