=== debian/changelog ===
location-service (2.1+15.04.20141110.1-0ubuntu1) vivid; urgency=low

  [ thomas-voss ]
  * Make sure that devices being added/removed by NetworkManager are
    handled correctly. (LP: #1390490)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Nov 2014 20:30:56 +0000

location-service (2.1+15.04.20141105.1-0ubuntu1) vivid; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Kevin DuBois ]
  * The headers shipped in libubuntu-location-service-dev contain
    includes that are provided in the libboost-dev package (specifically
    headers like boost/units/cmath.hpp). Make the dev package depend on
    libboost-dev so the downstreams get what they need to compile
    against the libubuntu-location-service-dev headers

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Nov 2014 15:51:16 +0000

location-service (2.1+15.04.20141104-0ubuntu1) vivid; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Nov 2014 06:20:45 +0000

location-service (2.1+14.10.20141030~rtm-0ubuntu1) 14.09; urgency=low

  [ thomas-voss ]
  * Bump build dependency.
  * Disconnect event connections for bag of providers. (LP: #1387572)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 30 Oct 2014 14:33:22 +0000

location-service (2.1+14.10.20141023-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Prevent multiple invocations of start positioning on android GPS HAL
    to prevent buggy HAL implementations from blocking. Allow for
    decorated provider names to enable moving providers OOP. (LP:
    #1382501)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 23 Oct 2014 16:41:05 +0000
